
# Copyright (C) 2017-2018 Daniel Tartavel-jeannot   <contact@librepc.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.


MAGEIA_VERSION="7"
ARM_VERSION="armv7hl"
TARGET="odroid"
TARGET_VERSION="xu4"

# URL of the Mageia mirror used to install ( see mirrors.mageia.org )
#MIRROR="http://ftp.free.fr/mirrors/mageia.org/distrib/$MAGEIA_VERSION/$ARM_VERSION"
MIRROR="http://192.168.1.252/mageia/distrib/$MAGEIA_VERSION/$ARM_VERSION"
# image will be created here
INSTALL_PATH="/mnt/perso/xu4-test/"

# Build directory will be created here
BUILD_PATH="$INSTALL_PATH/build"

#name of the image
IMAGE="Mageia-${MAGEIA_VERSION}-$TARGET.img"

#Mount point of image's partitions
BOOT="/mnt/boot_xu4"
ROOT="/mnt/root_xu4"

#Default user
ID_USER="odroid"
PASSWORD="xu4"

#root password
ROOT_PWD="odroid"

#Hostname
HOSTNAME="xu4.odroid"

#Filesystem of boot partitions (default ext4)
BOOTFS=ext4

#The arguments for the Kernel
BOOT_ARGS='dwc_otg.lpm_enable=0 console=ttyS0,115200 kgdboc=ttyS0,115200 console=tty1 rootwait fsck.repair=1 8250.nr_uarts=1 elevator=deadline cma=256M\@512M audit=0'

#kernel package to install
KERNEL=kernel-odroid
